FROM anapsix/alpine-java:8_server-jre_unlimited

MAINTAINER hst

RUN mkdir -p /mydata/digital-investment/logs \
    /mydata/digital-investment/temp \
    /mydata/digital-investment/agent

WORKDIR /data/digital-investment

#ENV SERVER_PORT=8080

#EXPOSE ${SERVER_PORT}

ADD ./target/ruoyi-admin.jar ./digital-investment.jar

ENTRYPOINT ["java", \
            "-Djava.security.egd=file:/dev/./urandom", \
            #"-Dserver.port=${SERVER_PORT}", \
            # 应用名称 如果想区分集群节点监控 改成不同的名称即可
#            "-Dskywalking.agent.service_name=ruoyi-server", \
#            "-javaagent:/ruoyi/skywalking/agent/skywalking-agent.jar", \
            "-jar", "digital-investment.jar"]
